Subject: bug#40729: closed (Re: bug#40729: Two rottlog servives causes cryptic etc drv failure)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Apr 2020 22:10:02 +0000

Your bug report

#40729: Duplicate /etc entries lead to cryptic etc.drv build failure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40729: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40729
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40729: Two rottlog servives causes cryptic etc drv failure
From: Ludovic Courtès <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Apr 2020 00:09:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Christopher Baines <[email-masked]> skribis:

> I got this error when reconfiguring with a recent revision of Guix.
>
>
> /builder for `/gnu/store/kbhl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv' failed with exit code 1
> build of /gnu/store/kbhl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv failed
> View build log at '/var/log/guix/drvs/kb/hl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv.bz2'.
> building /gnu/store/59bd67s06inr5vzyxc70yk6garj2aciz-linux-modules.drv...
> cannot build derivation `/gnu/store/n45vq7jbhn5qz24qlgv6a6ginarqs433-system.drv': 1 dependencies couldn't be built
> guix system: error: build of `/gnu/store/n45vq7jbhn5qz24qlgv6a6ginarqs433-system.drv' failed
> chris@guix-hetzner-1 ~$ bzcat /var/log/guix/drvs/kb/hl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv.bz2
> Backtrace:
>            1 (primitive-load "/gnu/store/g4q88pmwr1vy54qpnkz878k3n7f?")
>            0 (symlink "/gnu/store/939n705vmkn8613b8gjc10llvsr5jcwc-?" ?)
>
> ERROR: In procedure symlink:
> In procedure symlink: File exists

Yeah that’s something I noticed here:

  https://lists.gnu.org/archive/html/guix-devel/2020-04/msg00032.html

Commit a322e9d16b227484ce04721fee0f99618cb1007e does that.

The result is not optimal yet because it just says “duplicate entries”.
Ideally we’d be able to show a ‘fold-services’ trace of sorts telling
showing where the faulty entries come from.

Thanks,
Ludo’.

Subject: Two rottlog servives causes cryptic etc drv failure
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Mon, 20 Apr 2020 10:08:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I got this error when reconfiguring with a recent revision of Guix.

/builder for `/gnu/store/kbhl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv' failed with exit code 1
build of /gnu/store/kbhl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv failed
View build log at '/var/log/guix/drvs/kb/hl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv.bz2'.
building /gnu/store/59bd67s06inr5vzyxc70yk6garj2aciz-linux-modules.drv...
cannot build derivation `/gnu/store/n45vq7jbhn5qz24qlgv6a6ginarqs433-system.drv': 1 dependencies couldn't be built
guix system: error: build of `/gnu/store/n45vq7jbhn5qz24qlgv6a6ginarqs433-system.drv' failed
chris@guix-hetzner-1 ~$ bzcat /var/log/guix/drvs/kb/hl4rk6p0z4jbimlqj57vj3dhyjgv4x-etc.drv.bz2
Backtrace:
           1 (primitive-load "/gnu/store/g4q88pmwr1vy54qpnkz878k3n7f?")
           0 (symlink "/gnu/store/939n705vmkn8613b8gjc10llvsr5jcwc-?" ?)

ERROR: In procedure symlink:
In procedure symlink: File exists

Moving the rottlog-configuration to modify-services for %base-services
resolved this I believe, but that was a guess based on memory. Even if
the system definition is invalid, I don't think here should be where it
fails.